import { Box, Divider, Grid, Table, TableCell, TableContainer, TextField, Typography, } from "@mui/material";
import { memo } from "react";

function NewTaskForm({ addFormStatus }) {

  return (
    <Box sx={{height: addFormStatus ? '200px' : '0px', transition: 'all 0.3s linear', visibility: addFormStatus ? 'visible' : 'hidden', transform: addFormStatus ? 'translateY(0)' : 'translateY(-20vh)'}}>
      <Box>
        <Divider>
          <Typography variant="overline">Добавить новую задачу</Typography>
        </Divider>
        <Box container sx={{
          backgroundColor: "#E8E8E8",
          marginBottom: "2em",
        }}>
          <Grid container padding={2}>
            <Grid item xs={1}>Приоритеты</Grid>
            <Grid item xs={3.5}>Заголовок</Grid>
            <Grid item xs={2}>Проект</Grid>
            <Grid item xs={2}>Исполнитель</Grid>
            <Grid item xs={3}>Дедлайн</Grid>
            <Grid item xs={0.5}></Grid>
          </Grid>
          <Grid container padding={2}>
            <Grid item xs={1}>
              <TextField sx={{width: '90%'}}/>
            </Grid>
            <Grid item xs={3.5}>
              <TextField sx={{width: '90%'}}/>
            </Grid>
            <Grid item xs={2}>
              <TextField sx={{width: '90%'}}/>
            </Grid>
            <Grid item xs={2}>
              <TextField sx={{width: '90%'}}/>
            </Grid>
            <Grid item xs={3}>
              <TextField sx={{width: '90%'}}/>
            </Grid>
            <Grid item xs={0.5}>
              X
            </Grid>
          </Grid>
          <Grid container></Grid>
        </Box >
        <Divider />
      </Box>
  </Box>);
}

export default memo(NewTaskForm)